- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# psock Struct Reference
[Protosockets library]

`#include <psock.h>`

## Detailed Description

The representation of a protosocket.

The protosocket structrure is an opaque structure with no user-visible elements.

Examples:

  hello-world.h.

Definition at line 106 of file psock.h.

## Data Fields
pt pt | psockpt
const u8_t * | sendptr
u8_t * | readptr
char * | bufptr
u16_t | sendlen
u16_t | readlen
psock_buf | buf
unsigned int | bufsize
unsigned char | state